services:
  verdaccio:
    image: verdaccio/verdaccio:6.2.9
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    environment:
      - VERDACCIO_PORT=${PANEL_APP_PORT_HTTP}
    ports:
      - ${PANEL_APP_PORT_HTTP}:${PANEL_APP_PORT_HTTP}
    volumes:
      - ./data/storage:/verdaccio/storage
      - ./data/config:/verdaccio/conf
      - ./data/plugins:/verdaccio/plugins
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true